open Unix;;

let rec liste_fichiers_aux rep acc =
  try
    let fichier_suivant = readdir rep in
    if fichier_suivant <> "." && fichier_suivant <> ".." then
      liste_fichiers_aux rep  (fichier_suivant :: acc)
    else
      liste_fichiers_aux rep acc
  with End_of_file -> acc;;

let liste_fichiers rep_name =
  let rep = opendir rep_name in
  let fichiers = liste_fichiers_aux rep [] in
  closedir rep; fichiers;;

let rec affiche_liste = function
  | [] -> ()
  | t::q -> print_endline t; affiche_liste q;;

let est_repertoire nom =
  let st = lstat nom in
  st.st_kind = S_DIR;;

let taille_fichier nom =
  let st = stat nom in
  st.st_size;;

let racine = Sys.argv.(1);;
let (+/) rep f = Filename.concat rep f;;
